'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactColor = require('react-color');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class ColorPicker extends _react2.default.Component {
  render() {
    const { color, disableAlpha, onChange } = this.props;
    return _react2.default.createElement(_reactColor.ChromePicker, {
      disableAlpha: disableAlpha,
      color: color,
      onChange: onChange
    });
  }
}

ColorPicker.propTypes = {
  color: _propTypes2.default.string,
  disableAlpha: _propTypes2.default.bool,
  onChange: _propTypes2.default.func
};

ColorPicker.defaultProps = {
  disableAlpha: true
};

exports.default = ColorPicker;